#!/bin/sh
#
###############################################
# Purpose: NC application tool for start client program
# Author:  UFIDAzhangwei@ufida.com.cn
#
###############################################

cd `dirname $0`
CLI_BIN=`pwd`
cd ${CLI_BIN}/..
CLI_HOME=`pwd`
cd ${CLI_BIN}

export JRE_HOME=${CLI_HOME}/jre

if [ ! -f ${CLI_BIN}/clientSetupCmdLine.sh ] ; then
   echo "Please run genClientPack.bat/.sh to create a client installation package."
   exit
fi

if [ ! "${1}" = "" ] ; then
   JRE_HOME=$(cd "$(dirname "${1}")"; pwd)/`basename ${1}`
   if [ -f ${JRE_HOME}/bin/java ] ; then
      set JRE_HOME=${1}
      echo "Setting JRE_HOME environment variable with ${1} ."
   else
      echo "Please set a valid JRE_HOME environment variable. ${1} is invalid ."
      exit
   fi
fi

if [ "${JRE_HOME}" = "" ] ; then
   echo "Please set JRE_HOME and PATH environment variable."
   echo "example: export JRE_HOME=/opt/jdk1508/jre"
   echo "         export PATH=\$JRE_HOME/bin:\$PATH"
   exit
fi

#if [ ! -f ${CLI_HOME}/jre/lib/fontconfig.properties ] ; then
#   cp ${CLI_HOME}/jre/lib/fontconfig.properties.ufsoft ${CLI_HOME}/jre/lib/fontconfig.properties
#   sed -i "s#CLIENTPATH#$CLI_HOME#g" ${CLI_HOME}/jre/lib/fontconfig.properties
#fi

if [ "${DISPLAY}" = "" ] ; then
   echo "Please set DISPLAY environment variable."
   echo "example: export DISPLAY=10.7.3.225:0.0"
   echo "         xhost +"
   exit
fi

NC_JAVA_HOME=${JRE_HOME}
JVM_OPTION="-Xmx512m -XX:MaxPermSize=256m -Dsun.java2d.noddraw=true"

. ${CLI_BIN}/clientSetupCmdLine.sh
classpath=./:${CLI_BIN}/${JARCLASS}:${NC_JAVA_HOME}/lib/plugin.jar:${NC_JAVA_HOME}/lib/rt.jar

echo $CLI_HOME
echo $CLI_BIN
echo $NC_JAVA_HOME
echo ""
echo $JARCLASS
echo ""
echo $classpath
echo ""
"${NC_JAVA_HOME}/bin/java" -classpath ${classpath} ${JVM_OPTION} -Dnc.jstart.server=${SERVER_HOST} -Dnc.jstart.port=${SERVER_PORT} -Dnc.client.location=${CLI_HOME} nc.starter.test.JStarter
